<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>HTML Attributes and Links</title>
</head>
<body>
	<h1 align="center">HTML Attributes</h1>
	<!-- 
		Each HTML attributes are added to modify the behavior of HTML element.
		It is added at the opening tag of the element.

		<tag attribute="value"></tag>

		align - modifies the alignment of our text in an element.
	 -->
	 <h2 align="right">Modifiers of Element Behaviors</h2>

	 <!-- type attribute can be added to ol to change the default from numbered list to the indicated type. -->

	 <!-- start attribute can determine from which number we can start on our ordered list. -->

	 <!-- reverse reverses the order of numbering. -->

	 <ol reversed>
	 	<li>Michael Jordan</li>
	 	<li>Kobe Bryant</li>
	 	<li>Lebron James</li>
	 </ol>

	 <!-- 
	 img tag to add images. self closing tag. used with an src attribute which determines the source of the image that is to be displayed. 

	 	height and width attribute allows us to determine the height and width of an image by pixel.

	 	alt allows us to add caption or description about our image in the event that the path provided cannot be found.

		src attribute in our img tag can allow us to locate the resource from a relative path or an absolute path.

			relative path - means that the resource is located relatively to our index.html. This means that the resource is on the same machine or in the same server.

			absolute path - means that the resource is not located relative to our index.html, but it's located outside the machine or the server.

	 -->
	 <img src="./images/html5.png" width="100" height="100" alt="a logo of HTML 5">
	 <img src="https://place-puppy.com/300x300" alt="a picture of a puppy.">
	 <hr>
	 <h1>Roy Christian M. Pery</h1>
	 <h3>Full-Stack Web Developer</h3>
	 <img src="./images/rc.jpg" width="200" height="200" alt="a picture of rc pery.">
	 <h3>My Favorite Foods</h3>
	 <ul>
	 	<li> <img src="https://hips.hearstapps.com/hmg-prod.s3.amazonaws.com/images/chickenadobo-1528749020.jpg" width="200" height="200" alt="adobo"></li>
	 	<li><img src="https://s6q8n7r7.rocketcdn.me/wp-content/uploads/2020/05/Sinigang-na-Salmon.jpg" width="200" height="200" alt="sinigang"></li>
	 	<li><img src="https://d332juqdd9b8hn.cloudfront.net/wp-content/uploads/2019/07/GettyImages-487260560.jpg" width="200" height="200" alt="pineapple on pizza"></li>
	 	<li><img src="https://www.foxyfolksy.com/wp-content/uploads/2015/05/Sizzling-Sisig-640.jpg" width="200" height="200" alt="sisig"></li>
	 </ul>

	 <!-- LINKS -->
	 <!-- 
	 		We use links to go to other HTML or web page.

	 		Absolute or relative links

	 		Absolute link if the page we are going to is outside the machine or in another server from our page.

	 		Relative link if the page we are going to is on the same machine.

	 		a - anchor tag - this allows us to create links to a relative path or absolute path.

	 		href - hypertext reference - is an attribute added to the anchor tag to provide the URL to which we will go to.

	 		target="_blank" is added to an absolute link to open a new tab when the absolute link is used.
	  -->

	  <hr>
	  <h2>Links</h2>
	  <a href="https://zuitt.co" target="_blank">Go To Zuitt</a>
	  <a href="./link.html">Go To Link.html</a>
	  <a href="#">Am I Link?</a>
	  <a href="./relative-sample/relative.html">Go to relative page</a>
	  <!-- div tag is a generic container which we can add text or other elements in. It is a block element. -->
	  <div>
	  	<a href="https://www.jollibeefoods.com" target="_blank">
	  		<img src="./images/jollibee.png" width="200" height="200" alt="a picture of jollibee">
	  	</a>
	  </div>

	  <div style="height:500px;"></div>
</body>
</html>